org.apache.ignite.internal

## Class ClassSet

- java.lang.Object
- - org.apache.ignite.internal.ClassSet

    public class ClassSet
    extends Object

Set of classes represented as prefix tree. `*` symbol is allowed and indicates that all packages and classes are included.

### Constructor Summary

Constructors
Constructor and Description
`ClassSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(String clsName)` Adds class name to the set.
`boolean` `contains(String clsName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassSet

    public ClassSet()

### Method Detail

#### add

    public void add(String clsName)

Adds class name to the set.

Parameters:
  `clsName` - Class name.

#### contains

    public boolean contains(String clsName)

Parameters:
  `clsName` - Class name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020